## openafs 1.4.12pre3-maemo1

=== debian/changelog ===
openafs (1.4.12pre3-maemo1) unstable; urgency=low

  * Bugfix release - Fremantle support. git commit: 98de1de60
    Renamed dlog to declog to not conflict with maemo's dlog

 -- Jason Edgecombe <jason@rampaginggeek.com>  Tue, 16 Feb 2010 18:02:01 -0500

=== debian/control ===
Source: openafs
Section: user/network
Priority: extra
Maintainer: Jason Edgecombe <jason@rampaginggeek.com>
Build-Depends: debhelper (>= 5), autotools-dev, krb5 (>=1.6.3-3), kernel-source, libncurses5-dev, autoconf
Standards-Version: 3.7.2

Package: openafs
Architecture: armel
Depends: krb5 (>=1.6.3-3)
Description: AFS distributed filesystem client support

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

#sysname for arm is arm_linux26, sysname for i386 is i386_linux26
SYSNAME=`uname -m |  sed -e 's/i686/i386/'`_linux26
CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

config.status: configure
	dh_testdir
	# Add here commands to configure the package.
	# create configure script
	#pwd
	#cd $(CURDIR)/..
	#sh regen.sh
	# Yes, we need the real diablo kernel source to configure & compile openafs
	mkdir -p $(CURDIR)/builddir
	cd $(CURDIR)/builddir && tar xfi /usr/src/kernel-source.tar.bz2
	#cd $(CURDIR)/builddir/kernel-source && make n800_defconfig && make modules_prepare
	cd $(CURDIR)/builddir/kernel-source && make rx51_defconfig && make modules_prepare
	cd $(CURDIR)/builddir && ../configure -with-afs-sysname=$(SYSNAME) --with-krb5-conf=/opt/maemo/bin/krb5-config  --sysconfdir=/etc --disable-pam --enable-namei-fileserver --enable-supergroups --with-linux-kernel-headers=$(CURDIR)/builddir/kernel-source/
	
	# fix pinstall
	#cp $(CURDIR)/debian/install.c $(CURDIR)/src/pinstall/

build: build-stamp

build-stamp:  config.status
	dh_testdir

	# Add here commands to compile the package.
	cd builddir && $(MAKE)

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 

	# Add here commands to clean up after the build process.
	rm -fr builddir
	#$(MAKE) distclean
ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess config.guess
endif


	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	#rm -fr $(CURDIR)/debian/openafs
	mkdir -p $(CURDIR)/debian/openafs/afs
	# Add here commands to install the package into debian/openafs.
	cd builddir && $(MAKE) prefix=$(CURDIR)/debian/openafs/usr install
	mkdir -p $(CURDIR)/debian/openafs/etc/init.d
	cp $(CURDIR)/debian/openafs.init $(CURDIR)/debian/openafs/etc/init.d/openafs
	rm -fr $(CURDIR)/debian/openafs/usr/libexec
	rm -fr $(CURDIR)/debian/openafs/usr/share/doc
	mkdir -p $(CURDIR)/debian/openafs/etc/openafs
	cp $(CURDIR)/src/afsd/CellServDB $(CURDIR)/debian/openafs/etc/openafs
	cp $(CURDIR)/debian/ThisCell $(CURDIR)/debian/openafs/etc/openafs
	#cp $(CURDIR)/debian/SuidCells $(CURDIR)/debian/openafs/etc/openafs
	cp $(CURDIR)/debian/cacheinfo $(CURDIR)/debian/openafs/etc/openafs
	mv $(CURDIR)/debian/openafs/usr/bin/kpasswd $(CURDIR)/debian/openafs/usr/bin/kpasswd.afs
	#mv $(CURDIR)/debian/openafs/usr/bin/compile_et $(CURDIR)/debian/openafs/usr/bin/compile_et.afs
	mv $(CURDIR)/debian/openafs/usr/bin/dlog $(CURDIR)/debian/openafs/usr/bin/declog
	touch  $(CURDIR)/debian/openafs/etc/openafs/SuidCells


# Build architecture-independent files here.
binary-indep:
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
#	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
	dh_installinit -r 
#	dh_installcron
#	dh_installinfo
#	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	maemo-optify openafs
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## openafs 1.6.0

=== debian/changelog ===
openafs (1.6.0-2) unstable; urgency=low

  * Apply upstream deltas for Linux 3.1 and 3.2 (Closes: #649765):
    - [f129142] Linux: 3.1: update RCU path walking detection in
      permission i_op (Closes: #649996)
    - [7f55b45] Linux: d_delete now takes a const argument
    - [737a280] Linux: 3.2: Use set_nlink to update i_nlink
    - [364fad6] Linux: 3.1: adapt to fsync changes
    - [032736b] Linux: make sure backing_dev_info is zeroed
  * Add support for armhf.  Patch from Konstantinos Margaritis.
    (Closes: #645395)

 -- Russ Allbery <rra@debian.org>  Mon, 28 Nov 2011 17:53:45 -0800

openafs (1.6.0-1) unstable; urgency=low

  * New upstream stable release.
    - Rx NAT pings are not enabled until peer has answered
    - Numerous fixes to command argument parsing
    - Avoid crashing on host table exhaustion and defer clients instead
    - Rx connection reference counting is enabled
    - An Rx connection reference count leak is fixed in bulkstat
    - Handle unparsable directory objects
    - Handle Kerberos credential cache errors in aklog
  * Generate stub header files that include the actual system header when
    building libuafs instead of symlinking h to the appropriate directory.
    Fixes build failures now that Debian has switched to multiarch and
    moved some of the system headers.  (Closes: #639063, LP #831287)
  * Fix another Doxygen call to generate a configuration file, and remove
    the generated configuration files after Doxygen runs.
  * Update CellServDB to the 2011-08-14 release.

 -- Russ Allbery <rra@debian.org>  Thu, 01 Sep 2011 18:43:02 -0700

openafs (1.6.0~pre7-2) unstable; urgency=low

  * Force use of dblatex to build the manual, even if docbook2pdf is
    available, since the latter dies with errors about TeX capacity.
    (Closes: #635306)
  * Fix generation of protocol documentation from Doxygen headers.
    Doxygen cannot be called directly on header files and needs a
    configuration file to be generated first.  Thanks, Anders Kaseorg.
  * Add another dummy rule for ./debian/rules to the kernel module rules
    file to fix another variation of make-kpkg breakage.

 -- Russ Allbery <rra@debian.org>  Sun, 24 Jul 2011 16:45:28 -0700

openafs (1.6.0~pre7-1) unstable; urgency=low

  * New upstream prerelease.
    - Substantial Rx updates to correct erroneous behavior
    - Salvager tries harder to detect linktable issues
    - Additional documentation
    - xstat tools now cope with differing timeval structures between
      endpoints
    - Don't attach volumes with special status set in demand attach
    - Treat Linux 3.0 as Linux 2.6 for sysname purposes
  * Update README.source for a few changes in procedures and source
    package format.
  * Reapply the removal of the Doxygen-generated copy of jquery, since
    this apparently wasn't as fixed as had been advertised.  However, make
    it conditional on the existence of the jquery.js script, so we should
    hopefully only fix this where necessary.

 -- Russ Allbery <rra@debian.org>  Wed, 20 Jul 2011 13:04:07 -0700

openafs (1.6.0~pre6-2) unstable; urgency=medium

  * Urgency set to medium since 1.6.0~pre6-1 has been in unstable for some
    time, blocked only by the armel build problem, and 1.6.0~pre4-1 in
    testing has serious bugs.
  * Revert the removal of Doxygen's jquery copy.  This has now been fixed
    in the Doxygen package.
  * Disable optimization on armel to work around #630746.

 -- Russ Allbery <rra@debian.org>  Wed, 13 Jul 2011 14:05:26 -0700

openafs (1.6.0~pre6-1) unstable; urgency=low

  * New upstream prerelease.
    - Don't do unnecessary page invalidation with directories.
    - Flush vcaches in afs_shutdown for better callback givebacks.
    - Fix the vnode type for dynroot FIDs.
    - Fix volinfo -filenames.
    - Fall back to afs3-vlserver for SRV records for afs3-prserver.
    - Fix a client locking issue on ICBS that could deadlock.
    - Fix callback state handling with demand-attach when salvaged.
    - Fix reference leak in GetCapabilities.
    - Document DNS SRV record usage in afsd man page.
  * Add a dummy debian/rules rule in the kernel module rules file to fix
    builds with make-kpkg.  (Closes: #622260)
  * Remove and symlink the copies of jquery generated by Doxygen and add a
    Recommends on libjs-jquery for openafs-doc.

 -- Russ Allbery <rra@debian.org>  Thu, 16 Jun 2011 09:07:30 -0700

openafs (1.6.0~pre5-2) unstable; urgency=low

  * Apply upstream patch from http://gerrit.openafs.org/#change,4656 for
    correct reading of files larger than the chunk size.
  * Use dpkg-buildflags to get the default values of CFLAGS, CPPFLAGS, and
    LDFLAGS.  Upstream does not entirely honor these yet, but we're
    getting closer.
  * Update to standards version 3.9.2 (no changes required).

 -- Russ Allbery <rra@debian.org>  Sun, 15 May 2011 00:29:14 -0700

openafs (1.6.0~pre5-1) unstable; urgency=low

  * New upstream prerelease.
    - Avoid downward vcache pressure when entries are free.
    - Avoid client to fileserver deadlock during callback giveup.
    - Improve calculation of when to flush vcaches.
    - Don't read pages beyond the cache EOF.
    - Improve file server reference counting, locking, and logging.
    - Rename the OpenAFS com_err library to avoid conflicts.
    - Restrict the number of CBRs allocated at once.
    - Permit importing of -md5 and -md4 keys with asetkey.
    - Fix token return in aklog with 524 conversion.
  * Apply upstream patch from http://gerrit.openafs.org/#change,4654 to
    fix a configure problem detecting Linux kernel properties, leading to
    a lockup on 2.6.38 kernels.
  * Update import-upstream and README.source for moving 1.6 from the
    experimental and upstream-1.5 branches to the master and upstream
    branches.
  * Change to Debian source format 3.0 (quilt).  Force a single Debian
    patch for simplicity since the packaging is maintained in Git using
    branches, and include a patch header explaining why.
  


=== debian/control ===
Source: openafs
Section: net
Priority: optional
Maintainer: Russ Allbery <rra@debian.org>
Uploaders: Sam Hartman <hartmans@debian.org>
Build-Depends: debhelper (>= 8), autoconf, automake, bison, comerr-dev,
 cpio, dblatex, dkms (>= 2.1.1.1), docbook-xsl, doxygen, flex,
 libfuse-dev, libkrb5-dev, libncurses5-dev, libpam0g-dev, libxml2-utils,
 perl, pkg-config, xsltproc
Standards-Version: 3.9.2
Homepage: http://www.openafs.org/
Vcs-Git: git://git.debian.org/git/pkg-k5-afs/openafs.git
Vcs-Browser: http://git.debian.org/?p=pkg-k5-afs/openafs.git

Package: openafs-client
Architecture: alpha amd64 arm armel armhf i386 ia64 powerpc powerpcspe ppc64 s390 s390x sparc
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: lsof, openafs-modules-dkms (>= ${source:Version})
 | openafs-modules-source (>= ${source:Version})
 | openafs-modules3
Suggests: openafs-doc, openafs-krb5
Conflicts: arla
Breaks: openafs-modules1, openafs-modules2
Description: AFS distributed filesystem client support
 AFS is a distributed filesystem allowing cross-platform sharing of
 files among multiple computers.  Facilities are provided for access
 control, authentication, backup and administrative management.
 .
 This package provides basic client support to mount and manipulate
 AFS.  If your site uses Kerberos v5 authentication for AFS, you will also
 want to install openafs-krb5.

Package: openafs-fuse
Priority: extra
Architecture: alpha amd64 arm armel armhf i386 ia64 lpia powerpc ppc64 s390 s390x sparc
Depends: ${shlibs:Depends}, ${misc:Depends},
 openafs-client (= ${binary:Version})
Description: AFS distributed file system experimental FUSE client
 AFS is a distributed filesystem allowing cross-platform sharing of
 files among multiple computers.  Facilities are provided for access
 control, authentication, backup and administrative management.
 .
 This package provides an experimental FUSE implementation of the AFS
 client as afsd.fuse.  This currently only provides read-only access to
 AFS, doesn't work with all of the normal AFS client programs, and must be
 started manually, but may be of interest in situations where read-only
 access is sufficient and the kernel module cannot be built.

Package: openafs-kpasswd
Priority: extra
Architecture: alpha amd64 arm armel armhf i386 ia64 powerpc powerpcspe ppc64 s390 s390x sparc
Depends: ${shlibs:Depends}, ${misc:Depends},
 openafs-client (= ${binary:Version})
Conflicts: krb5-user, heimdal-clients, kerberos4kth-clients
Description: AFS distributed filesystem old password changing
 AFS is a distributed filesystem allowing cross-platform sharing of
 files among multiple computers.  Facilities are provided for access
 control, authentication, backup and administrative management.
 .
 This package provides kpasswd and kas, utilities needed by the OpenAFS
 kaserver to create users and change passwords.  Only install this package
 if you are already using kaserver; generally you should not install this
 package for new cells or for cells using Kerberos v5.

Package: openafs-fileserver
Architecture: alpha amd64 arm armel armhf i386 ia64 powerpc powerpcspe ppc64 s390 s390x sparc
Depends: ${shlibs:Depends}, ${misc:Depends}, openafs-client, lsb-base
Recommends: ntp | time-daemon
Suggests: openafs-doc
Description: AFS distributed filesystem file server
 AFS is a distributed filesystem allowing cross-platform sharing of
 files among multiple computers.  Facilities are provided for access
 control, authentication, backup and administrative management.
 .
 This package provides the AFS fileserver binaries.  It should be
 installed on any machine that will export files into AFS.

Package: openafs-dbserver
Architecture: alpha amd64 arm armel armhf i386 ia64 powerpc powerpcspe ppc64 s390 s390x sparc
Depends: ${shlibs:Depends}, ${perl:Depends}, ${misc:Depends},
 openafs-fileserver, openafs-client (= ${binary:Version})
Suggests: openafs-doc
Description: AFS distributed filesystem database server
 AFS is a distributed filesystem allowing cross-platform sharing of
 files among multiple computers.  Facilities are provided for access
 control, authentication, backup and administrative management.
 .
 This package provides AFS database server binaries.  It should be
 installed on the servers that will act as volume location and
 protection servers.

Package: openafs-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Recommends: libjs-jquery
Description: AFS distributed filesystem documentation
 AFS is a distributed filesystem allowing cross-platform sharing of files
 among multiple computers.  Facilities are provided for access control,
 authentication, backup and administrative management.
 .
 This package contains the OpenAFS user's and reference manuals, some
 protocol documentation, and other OpenAFS documentation.

Package: openafs-krb5
Architecture: alpha amd64 arm armel armhf i386 ia64 powerpc powerpcspe ppc64 s390 s390x sparc
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: openafs-client (<< 1.4.7.dfsg1-1)
Description: AFS distributed filesystem Kerberos 5 integration
 AFS is a distributed filesystem allowing cross-platform sharing of files
 among multiple computers.  Facilities are provided for access control,
 authentication, backup and administrative management.
 .
 This package provides aklog, a utility for authenticating to AFS using
 Kerberos 5.  It also provides asetkey, a utility to set AFS server keys
 from a Kerberos keytab, and ka-forwarder, a utility to forward kaserver
 requests to a KDC using fakeka.

Package: libkopenafs1
Section: libs
Architecture: alpha amd64 arm armel armhf i386 ia64 lpia powerpc ppc64 s390 s390x sparc
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: AFS distributed file system runtime library (PAGs)
 AFS is a distributed filesystem allowing cross-platform sharing of
 files among multiple computers.  Facilities are provided for access
 control, authentication, backup and administrative management.
 .
 This package provides the shared library implementing an interface to
 manipulating AFS process authentication groups (PAGs).  It provides the
 a subset of the interface provided by the Heimdal libkafs library.

Package: libafsauthent1
Section: libs
Architecture: alpha amd64 arm armel armhf i386 ia64 lpia powerpc ppc64 s390 s390x sparc
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: AFS distributed file system runtime library (authentication)
 AFS is a distributed filesystem allowing cross-platform sharing of
 files among multiple computers.  Facilities are provided for access
 control, authentication, backup and administrative management.
 .
 This package provides the shared library implementing AFS client
 authentication and token management.

Package: libafsrpc1
Section: libs
Architecture: alpha amd64 arm armel armhf i386 ia64 lpia powerpc ppc64 s390 s390x sparc
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: AFS distributed file system runtime library (RPC layer)
 AFS is a distributed filesystem allowing cross-platform sharing of
 files among multiple computers.  Facilities are provided for access
 control, authentication, backup and administrative management.
 .
 This package provides the shared library implementing the Rx protocol and
 other AFS RPC functionality.

Package: libopenafs-dev
Section: libdevel
Priority: extra
Architecture: alpha amd64 arm armel armhf i386 ia64 powerpc powerpcspe ppc64 s390 s390x sparc
Depends: ${shlibs:Depends}, ${misc:Depends},
 libafsauthent1 (= ${binary:Version}), libafsrpc1 (= ${binary:Version}),
 libkopenafs1 (= ${binary:Version}),
Suggests: openafs-doc
Conflicts: arla-dev, liblwp-dev
Description: AFS distributed filesystem development libraries
 AFS is a distributed filesystem allowing cross-platform sharing of
 files among multiple computers.  Facilities are provided for access
 control, authentication, backup and administrative management.
 .
 This package provides static development libraries and headers
 needed to compile AFS applications.

Package: openafs-modules-source
Section: kernel
Priority: extra
Architecture: all
Depends: ${misc:Depends}, debhelper (>= 8),
 module-assistant | kernel-package, perl
Recommends: openafs-client (>= ${source:Version})
Description: AFS distributed filesystem kernel module source
 AFS is a distributed filesystem allowing cross-platform sharing of
 files among multiple computers.  Facilities are provided for access
 control, authentication, backup and administrative management.
 .
 This package provides the source to the AFS kernel module in a form
 suitable for use by module-assistant or kernel-package.

Package: openafs-modules-dkms
Section: kernel
Priority: extra
Architecture: all
Depends: ${misc:Depends}, ${perl:Depends}, dkms, libc6-dev
Recommends: openafs-client (>= ${source:Version})
Description: AFS distributed filesystem kernel module DKMS source
 AFS is a distributed filesystem allowing cross-platform sharing of
 files among multiple computers.  Facilities are provided for access
 control, authentication, backup and administrative management.
 .
 This package contains the source for the AFS kernel module, packaged with
 approriate configuration for DKMS to build new modules dynamically.

Package: libpam-openafs-kaserver
Architecture: alpha amd64 arm armel armhf i386 ia64 powerpc powerpcspe ppc64 s390 s390x sparc
Section: admin
Priority: extra
Depends: ${shlibs:Depends}, ${misc:Depends},
 openafs-client (= ${binary:Version})
Description: AFS distributed filesystem kaserver PAM module
 AFS is a distributed filesystem allowing cross-platform sharing of
 files among multiple computers.  Facilities are provided for access
 control, authentication, backup and administrative management.
 .
 This package provides a PAM module for existing  sites using the AFS
 kaserver for authentication.  New sites should use a Kerberos v5
 implementation, a Kerberos v5 PAM module such as libpam-krb5, and
 libpam-afs-session.

Package: openafs-dbg
Section: debug
Priority: extra
Architecture: alpha amd64 arm armel armhf i386 ia64 powerpc powerpcspe ppc64 s390 s390x sparc
Depends: ${misc:Depends}, openafs-fileserver (= ${binary:Version})
 | openafs-dbserver (= ${binary:Version})
Description: AFS distributed filesystem debugging information
 AFS is a distributed filesystem allowing cross-platform sharing of
 files among multiple computers.  Facilities are provided for access
 control, authentication, backup and administrative management.
 .
 This package contains the debugging information for the OpenAFS
 server binaries (the openafs-fileserver and openafs-dbserver packages).

=== debian/rules ===
#!/usr/bin/make -f

# Tell Autoconf the correct system types.
DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
ifeq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
    SYSTEM = --build $(DEB_HOST_GNU_TYPE)
else
    SYSTEM = --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
endif

# Set compiler flags.
CFLAGS   := $(shell dpkg-buildflags --get CFLAGS)
CPPFLAGS := $(shell dpkg-buildflags --get CPPFLAGS)
LDFLAGS  := $(shell dpkg-buildflags --get LDFLAGS)

# Determine whether we're building with optimization.  This doesn't really
# work at the moment due to upstream problems.
ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
    DEBIAN_OPT_FLAGS = --disable-optimize --disable-optimize-lwp
    DEBIAN_KERN_FLAGS = --disable-optimize-kernel
else ifneq (,$(findstring arm-linux-gnueabi,$(DEB_HOST_GNU_TYPE)))
    DEBIAN_OPT_FLAGS = --disable-optimize --disable-optimize-lwp
    DEBIAN_KERN_FLAGS = --disable-optimize-kernel
else
    DEBIAN_OPT_FLAGS =
    DEBIAN_KERN_FLAGS =
endif

SYS_NAME  := $(shell sh debian/sysname)

package    = openafs
srcpkg     = openafs-modules-source
dkmspkg    = openafs-modules-dkms
DOCS       = $(CURDIR)/debian/openafs-doc/usr/share/doc/openafs-doc

# The path to the XSLT used to generate HTML from the DocBook source files.
# This path is specific to different Linux distributions, so we have to pass
# it into configure.
HTML_XSL   = /usr/share/xml/docbook/stylesheet/nwalsh/html/chunk.xsl

# The /usr/share/doc directory for these packages should be a symlink to
# /usr/share/doc/openafs-client.  Any package on this list must depend on
# openafs-client.  This variable is used as options to dh_installdocs with
# the --link-doc option.
DOC_PACKAGES = -plibpam-openafs-kaserver -popenafs-dbserver -popenafs-fuse \
	-popenafs-kpasswd

# These are files that we know we don't want to install.  List them so that we
# can use dh_install --fail-missing and catch anything new that shows up.
IGNORE = -XAuthLog -Xcopyauth -Xdlog -Xdpass -Xfms.log -Xfs_chgrp.1	   \
	-Xfs_chown.1 -Xfs_cscpolicy.1 -Xfs_flushall.1 -Xfs_memdump.1	   \
	-Xfs_minidump.1 -Xfs_trace.1 -Xkadb_check -Xkaserver -Xkdb -Xkdump \
	-Xkpwvalid -Xpagsh.krb -Xsymlink -Xtokens.krb -Xuss -Xvldb_convert \
	-Xvsys -Xxfs_size_check

# Installed via other means since we have to rename them.
IGNORE += -Xafsd.fuse.8 -Xpam_afs

# These variables are used by get-orig-source, to construct dkms.conf, and
# to set the build version.  You will need to change TAG to package stable
# releases instead of experimental releases.
DEBIAN  := $(shell dpkg-parsechangelog | grep ^Version: | cut -d' ' -f2)
DEBVERS := $(shell echo '$(DEBIAN)' | cut -d- -f1)
VERSION := $(shell echo '$(DEBVERS)' | sed -e 's/[+-].*//' -e 's/~//g')
TAG     := $(shell echo 'openafs-stable-$(VERSION)' | sed 's/\./_/g')
REPO    := git://git.openafs.org/openafs.git

# Upstream does tarball releases for major releases, but not for point
# relesaes, and the tarball releases are split into src and doc and contain
# the WINNT directory.  Dropping WINNT, which is not used on Debian, saves a
# substantial amount of space in the source package, and there's no reason
# to include the files generated by regen.sh when we're going to run it
# again ourselves anyway.
#
# This rule therefore generates an upstream tarball from the upstream Git
# tag, rather than the tarball release, without the generated files that are
# not in Git and without the WINNT directory.  It assumes that git-core is
# installed and there's network connectivity to the upstream repository.
get-orig-source:
	git archive --remote='$(REPO)' --prefix='openafs_$(DEBVERS).orig/' \
	    --format=tar '$(TAG)' | tar xf -
	rm -r openafs_$(DEBVERS).orig/src/WINNT
	tar cf openafs_$(DEBVERS).orig.tar openafs_$(DEBVERS).orig
	rm -r openafs_$(DEBVERS).orig
	gzip -9 openafs_$(DEBVERS).orig.tar

# Use dh for most actions, with overrides below.
%:
	dh $@

# Handle the renaming of the up man page to afs-up here since the man pages
# are generated from POD source by regen.sh.
override_dh_auto_configure:
	@if test x"$(SYS_NAME)" = x"UNKNOWN" ; then exit 1 ; fi
	echo '$(DEBIAN)'-debian > .version
	mv doc/man-pages/pod1/up.pod doc/man-pages/pod1/afs-up.pod
	rm -f doc/man-pages/man1/up.1
	sh regen.sh
	afslogsdir=/var/log/openafs afslocaldir=/var/lib/openafs/local \
	    sh configure \
	    CFLAGS='$(CFLAGS)' CPPFLAGS='$(CPPFLAGS)' LDFLAGS='$(LDFLAGS)' \
	    --with-afs-sysname=$(SYS_NAME) --disable-kernel-module \
	    --prefix=/usr --mandir=\$${prefix}/share/man \
	    --sysconfdir=/etc --libexecdir=/usr/lib --with-krb5 \
	    --localstatedir=/var/lib --enable-supergroups \
	    --enable-fuse-client --enable-debug --enable-debug-lwp \
	    --with-docbook2pdf=dblatex --with-xslt-processor=xsltproc \
	    --with-html-xsl=$(HTML_XSL) \
	    $(DEBIAN_OPT_FLAGS) $(SYSTEM)

# Also build a libafs_tree and build the XML documentation.
override_dh_auto_build:
	chmod a+x src/libuafs/make_h_tree.pl
	dh_auto_build
	$(MAKE) libafs_tree
	set -e; for d in AdminGuide QuickStartUnix UserGuide ; do \
	    $(MAKE) -C doc/xml/$$d all ; \
	done

# The manipulation of debian/changelog here is unnecessary with a regular
# Debian build.  It is provided solely so that upstream can share the Debian
# packaging files, working around problems caused by upstream's distclean
# removing packaging/Debian/changelog because it's Autoconf-generated.
override_dh_auto_clean:
	[ ! -f doc/man-pages/pod1/afs-up.pod ] \
	    || mv doc/man-pages/pod1/afs-up.pod doc/man-pages/pod1/up.pod
	set -e; for d in AdminGuide QuickStartUnix UserGuide ; do \
	    [ ! -f doc/xml/$$d/Makefile ] || $(MAKE) -C doc/xml/$$d clean ; \
	done
	[ ! -f debian/changelog.in ] \
	    || cp debian/changelog debian/changelog.save
	dh_auto_clean
	[ -f debian/changelog ] || mv debian/changelog.save debian/changelog

# We have to use a non-standard install target and then do some fiddling
# with the results.
override_dh_auto_install:
	mkdir -p $(CURDIR)/debian/tmp
	$(MAKE) install_nolibafs DESTDIR=$(CURDIR)/debian/tmp
	rm -f debian/tmp/usr/bin/klog.krb
	rm -f debian/tmp/usr/share/man/man1/klog.krb.1

# Override dh_install to handle installation of all the extra documentation
# that upstream doesn't install by default, install the source required for
# the kernel source package and the DKMS package, move some files about and
# do some manually installation of additional things like PAM modules, and
# to ensure that the extra scripts we install are executable.
override_dh_install:
	chmod +x debian/afs-rootvol debian/afs-newcell
	dh_install --fail-missing $(IGNORE)

	mkdir -p $(DOCS)/html
	cp doc/xml/*.gif doc/xml/*.html $(DOCS)/html/
	set -e; for d in AdminGuide QuickStartUnix UserGuide ; do \
	    mkdir $(DOCS)/html/$$d ; \
	    cp doc/xml/$$d/*.html $(DOCS)/html/$$d/ ; \
	    cp doc/xml/$$d/*.pdf $(DOCS)/ ; \
	done
	cp doc/xml/AdminGuide/*.png $(DOCS)/html/AdminGuide/
	mkdir $(DOCS)/html/arch-overview
	cp doc/arch/arch-overview.h $(DOCS)/html/arch-overview
	cd $(DOCS)/html/arch-overview && doxygen -g && doxygen \
	    && rm Doxyfile *.h && mv html/* . && rm -r latex html
	set -e; for h in doc/protocol/*.h ; do \
	    mkdir $(DOCS)/html/`basename $$h .h` ; \
	    cp $$h $(DOCS)/html/`basename $$h .h` ; \
	    cd $(DOCS)/html/`basename $$h .h` && doxygen -g && doxygen \
		&& rm Doxyfile *.h && mv html/* . && rm -r latex html \
		&& cd $(CURDIR) ; \
	done

	install -d debian/$(srcpkg)/usr/src/modules/$(package)
	cd libafs_tree && find . -print | \
	    cpio -admp $(CURDIR)/debian/$(srcpkg)/usr/src/modules/$(package)
	cp .version debian/$(srcpkg)/usr/src/modules/$(package)/
	mkdir -p debian/$(srcpkg)/usr/src/modules/$(package)/debian
	cp debian/copyright debian/module/* \
	    debian/$(srcpkg)/usr/src/modules/$(package)/debian/
	sed 's/^openafs /openafs-modules /' debian/changelog \
	    > debian/$(srcpkg)/usr/src/modules/$(package)/debian/changelog

## openafs 1.6.1~pre1

=== debian/changelog ===
openafs (1.6.1~pre1-1) unstable; urgency=low

  * New upstream prerelease.
    - Install new afsio utility.
    - Fixes performance issues in both the client and the server.
    - Rate-limit waiting for volume messages in kernel logs.
    - Avoid a possible memory allocation issue in ticket data management.
    - Disable MTU discovery.
    - Reduce the quantity of NAT pings sent by the client.
    - Various fixes for demand-attach file servers.
    - Fix volume lock violations.
    - Report the bosserver -rxbind address in a file.
    - Revert process group changes on keyring failure.
    - Various fixes for the salvager.

 -- Russ Allbery <rra@debian.org>  Tue, 20 Dec 2011 13:51:57 -0800

openafs (1.6.0-3) unstable; urgency=low

  * Apply upstream deltas to fix file corruption issue in file server:
    - [c73b6644] viced: disable accelerated copyonwrite
    - [4e05bc3b] remove CopyOnWrite2 and unused vars

 -- Russ Allbery <rra@debian.org>  Wed, 07 Dec 2011 18:47:48 -0800

=== debian/rules ===
--- 
+++ 
@@ -48,11 +48,12 @@
 
 # These are files that we know we don't want to install.  List them so that we
 # can use dh_install --fail-missing and catch anything new that shows up.
-IGNORE = -XAuthLog -Xcopyauth -Xdlog -Xdpass -Xfms.log -Xfs_chgrp.1	   \
-	-Xfs_chown.1 -Xfs_cscpolicy.1 -Xfs_flushall.1 -Xfs_memdump.1	   \
-	-Xfs_minidump.1 -Xfs_trace.1 -Xkadb_check -Xkaserver -Xkdb -Xkdump \
-	-Xkpwvalid -Xpagsh.krb -Xsymlink -Xtokens.krb -Xuss -Xvldb_convert \
-	-Xvsys -Xxfs_size_check
+IGNORE = -XAuthLog -Xaklog_dynamic_auth.8 -Xcopyauth -Xdlog -Xdpass	\
+	-Xfms.log -Xfs_chgrp.1 -Xfs_chown.1 -Xfs_cscpolicy.1		\
+	-Xfs_flushall.1 -Xfs_memdump.1 -Xfs_minidump.1 -Xfs_trace.1	\
+	-Xkadb_check -Xkaserver -Xkdb -Xkdump -Xkpwvalid -Xpagsh.krb	\
+	-Xsymlink -Xtokens.krb -Xuss -Xvldb_convert -Xvsys		\
+	-Xxfs_size_check
 
 # Installed via other means since we have to rename them.
 IGNORE += -Xafsd.fuse.8 -Xpam_afs

## openafs 1.6.1~pre2

=== debian/changelog ===
openafs (1.6.1~pre2-1) unstable; urgency=low

  * New upstream prerelease.
    - Disable server-side Rx keepalive during disk I/O.
    - Avoid timing out on non-kernel busy Rx channels.
    - Add separate client connection pool for replicated volumes.
    - Remove SYNC client disable behavior on some error patterns.
    - Correctly test for the end of the Rx call queue.
    - Fix cleanup of special inodes on the server.
    - Provide a public Rx function for toggling keepalive.
    - Fix connection management in the client checkserver loop.
    - Discard cached state in the client when unsure of validity.
    - Fix thread safety of free inode management with demand-attach.
    - Fix xstat handling of time values on 64-bit platforms.
    - Increase the idledead time.
    - Fix return status of fsync on a directory.
  * Fix afs-newcell's creation of the file server process to pass
    -localauth.  This was broken when demand-attach support was
    added.  Thanks, Florian Hatat.  (Closes: #652973)
  * Fix afs-newcell's unwind of file server process creation.  Thanks,
    Davor.  (Closes: #655136)
  * Description typo, thanks Jonas Smedegaard.  (Closes: #657933)
  * Translation updates:
    - Danish, thanks Joe Hansen.  (Closes: #654933)

 -- Russ Allbery <rra@debian.org>  Wed, 08 Feb 2012 14:30:07 -0800

=== debian/control ===
--- 
+++ 
@@ -197,7 +197,7 @@
  control, authentication, backup and administrative management.
  .
  This package contains the source for the AFS kernel module, packaged with
- approriate configuration for DKMS to build new modules dynamically.
+ appropriate configuration for DKMS to build new modules dynamically.
 
 Package: libpam-openafs-kaserver
 Architecture: alpha amd64 arm armel armhf i386 ia64 powerpc powerpcspe ppc64 s390 s390x sparc

## openafs 1.6.1~pre4

=== src/packaging/FreeBSD/Makefile ===
# New ports collection makefile for:	openafs
# Date created:				2010-11-06
# Whom:					Ben Kaduk <kaduk@mit.edu>
# Based on:				port by Alec Kloss <alec@setfilepointer.com>
#
# $FreeBSD$
#

PORTNAME=	openafs
DISTVERSION=	1.6.0pre3
CATEGORIES=	net kld
MASTER_SITES=	http://dl.central.org/dl/openafs/candidate/${DISTVERSION}/:openafs \
		http://dl.openafs.org/dl/openafs/candidate/${DISTVERSION}/:openafs \
		http://dl.central.org/dl/cellservdb/:gco \
		http://grand.central.org/dl/cellservdb/:gco
DISTFILES=	${PORTNAME}-${DISTVERSION}-src.tar.bz2:openafs \
		${PORTNAME}-${DISTVERSION}-doc.tar.bz2:openafs \
		CellServDB:gco
EXTRACT_ONLY=	${PORTNAME}-${DISTVERSION}-src.tar.bz2 \
		${PORTNAME}-${DISTVERSION}-doc.tar.bz2

MAINTAINER=	kaduk@mit.edu
COMMENT=	AFS implementation from openafs.org

OPTIONS=	FUSE "Build afsd.fuse (enable fuse support)" off

USE_LDCONFIG=	yes
PATCH_STRIP=	-p1

USE_BZIP2=	yes
HAS_CONFIGURE=	yes
USE_RC_SUBR=	afsd afsserver

ONLY_FOR_ARCHS=	i386 amd64

KERNELDIR=	/usr/obj/usr/src/sys/GENERIC
KMODDIR=	/boot/modules

.include <bsd.port.pre.mk>

.if ${OSVERSION} < 800000
IGNORE=	supports FreeBSD 8.0 and later
.endif

.if !exists(${KERNELDIR}/opt_global.h)
IGNORE= OpenAFS requires opt_global.h from kernel build tree
.endif

CONFIGURE_ARGS=	--prefix=${PREFIX} \
	--localstatedir=/var \
	--mandir=${PREFIX}/man \
	--with-bsd-kernel-build=${KERNELDIR} \
	--enable-debug \
	--enable-debug-kernel \
	--enable-debug-lwp \
	--includedir=${PREFIX}/include/openafs \
			${CONFIGURE_TARGET}
#	--with-krb5 KRB5CFLAGS=-I/usr/include \
#	KRB5LIBS='-lkrb5 -lcom_err -lcrypto -lcrypt -lasn1 -lhx509 -lroken' \

.if !defined(WITH_FUSE)
CONFIGURE_ARGS+=	--disable-fuse-client
PLIST_SUB+=	FUSE="@comment "
.else
LIB_DEPENDS+=	fuse.2:${PORTSDIR}/sysutils/fusefs-libs
PLIST_SUB+=	FUSE=""
.endif

WRKSRC=		${WRKDIR}/${PORTNAME}-${DISTVERSION}

CONFLICTS=	heimdal-[0-9]*

.include "Makefile.man"

post-install:
	@${MKDIR} ${PREFIX}/etc/openafs
	@${CP} ${DISTDIR}/CellServDB ${PREFIX}/etc/openafs/CellServDB.sample
	@if [ ! -e ${PREFIX}/etc/openafs/CellServDB ] ; then \
		${CP} -p ${PREFIX}/etc/openafs/CellServDB.sample ${PREFIX}/etc/openafs/CellServDB ; \
	fi
	@${ECHO_CMD} openafs.org > ${PREFIX}/etc/openafs/ThisCell.sample
	@if [ ! -e ${PREFIX}/etc/openafs/ThisCell ] ; then \
		${CP} -p ${PREFIX}/etc/openafs/ThisCell.sample ${PREFIX}/etc/openafs/ThisCell ; \
	fi
	@${ECHO_CMD} '/afs:/usr/vice/cache:150000' > ${PREFIX}/etc/openafs/cacheinfo.sample
	@if [ ! -e ${PREFIX}/etc/openafs/cacheinfo ] ; then \
		${CP} -p ${PREFIX}/etc/openafs/cacheinfo.sample ${PREFIX}/etc/openafs/cacheinfo; \
	fi
	${MV} ${PREFIX}/lib/openafs/libafs.ko ${KMODDIR}/
	@${RMDIR} ${PREFIX}/lib/openafs
	kldxref ${KMODDIR}

pre-deinstall:
	@if cmp -s ${PREFIX}/etc/openafs/CellServDB ${PREFIX}/etc/openafs/CellServDB.sample; then \
		${RM} ${PREFIX}/etc/openafs/CellServDB; fi
	@if cmp -s ${PREFIX}/etc/openafs/ThisCell ${PREFIX}/etc/openafs/ThisCell.sample; then \
		${RM} ${PREFIX}/etc/openafs/ThisCell; fi
	@if cmp -s ${PREFIX}/etc/openafs/cacheinfo ${PREFIX}/etc/openafs/cacheinfo.sample; then \
		${RM} ${PREFIX}/etc/openafs/cacheinfo; fi

.include <bsd.port.post.mk>

=== debian/changelog ===
openafs (1.6.1~pre4-1) unstable; urgency=low

  * New upstream prerelease.
    - Always retry busy rx calls and retriable actions.
    - Do not abort the salvager on large volume IDs.
    - Ensure one NAT ping connection per srvAddr.
    - Improvements to the file server address tracking.
    - Improve locking in the host table in the file server.
    - Avoid discrepancy between lastBusy and PEER_BUSY.
    - Allow a null host for callback breaks.
    - Fix probing for noop_fsync in the Linux kernel.
    - Fix handling of expired locks in the file server.
    - Reset blacklisted servers on a hard-mount retry.
  * Update debhelper compatibility level to V9.
  * Update standards version to 3.9.3 (no changes required).

 -- Russ Allbery <rra@debian.org>  Thu, 08 Mar 2012 18:24:53 -0800

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,11 @@
 Priority: optional
 Maintainer: Russ Allbery <rra@debian.org>
 Uploaders: Sam Hartman <hartmans@debian.org>
-Build-Depends: debhelper (>= 8), autoconf, automake, bison, comerr-dev,
+Build-Depends: debhelper (>= 9), autoconf, automake, bison, comerr-dev,
  cpio, dblatex, dkms (>= 2.1.1.1), docbook-xsl, doxygen, flex,
  libfuse-dev, libkrb5-dev, libncurses5-dev, libpam0g-dev, libxml2-utils,
  perl, pkg-config, xsltproc
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://www.openafs.org/
 Vcs-Git: git://git.debian.org/git/pkg-k5-afs/openafs.git
 Vcs-Browser: http://git.debian.org/?p=pkg-k5-afs/openafs.git

=== debian/rules ===
--- 
+++ 
@@ -112,7 +112,6 @@
 
 # Also build a libafs_tree and build the XML documentation.
 override_dh_auto_build:
-	chmod a+x src/libuafs/make_h_tree.pl
 	dh_auto_build
 	$(MAKE) libafs_tree
 	set -e; for d in AdminGuide QuickStartUnix UserGuide ; do \

## openafs 1.6.1

=== debian/changelog ===
openafs (1.6.1-2+ubuntu2.1) quantal-security; urgency=high

  * SECURITY UPDATE: Brute force DES attack permits compromise of AFS cell.
    vos -encrypt doesn't encrypt connection data.
    Buffer overflows which could cause a serverside denial of service.
    - openafs-sa-2013-001.patch: Fix fileserver buffer overflow when parsing
      client-supplied ACL entries and protect against client parsing of
      bad ACL entries. Thanks to Nickolai Zeldovich.
    - openafs-sa-2013-002.patch: Fix ptserver buffer overflow via integer
      overflow in the IdToName RPC. Thanks to Nickolai Zeldovich
    - 0001-Add-rxkad-server-hook-function-to-decrypt-more-types.patch
    - 0002-New-optional-rxkad-functionality-for-decypting-krb5-.patch
    - 0003-Integrate-keytab-based-decryption-into-afsconf_Build.patch
    - 0004-Derive-DES-fcrypt-session-key-from-other-key-types.patch
    - 0005-Move-akimpersonate-to-libauth.patch
    - 0006-Clean-up-akimpersonate-and-use-for-server-to-server.patch
    - 0007-auth-Do-not-always-fallback-to-noauth.patch
    - 0008-Avoid-calling-afsconf_GetLatestKey-directly.patch
    - 0009-Reload-rxkad.keytab-on-CellServDB-modification.patch
    - 0010-Add-support-for-deriving-DES-keys-to-klog.krb5.patch
    - 0011 skipped because it was a version bump
    - 0012-ubik-Fix-encryption-selection-in-ugen.patch
    - Thanks to Chaskiel Grundman, Alexander Chernyakhovsky, Ben Kaduk,
        Andrew Deason, and Michael Meffie for the above patch series.
    - swap-libs.patch: Resolve FTBFS with newer toolchains. Thanks to Anders
        Kaseorg.
    - OPENAFS-SA-2013-001
    - OPENAFS-SA-2013-002
    - OPENAFS-SA-2013-003
    - OPENAFS-SA-2013-004
    - CVE-2013-1794
    - CVE-2013-1795
    - CVE-2013-4134
    - CVE-2013-4135
    - LP: #1145560
    - LP: #1204195
  * Remove debian/source/options, which previously force-collaped the above
    patches into one debian/patches/debian-changes and caused confusing patch
    failures later. Thanks to Colin Watson for help with debugging and to
    Seth Arnold for identifying the failure.

 -- Luke Faraone <lfaraone@ubuntu.com>  Wed, 24 Jul 2013 11:16:48 -0400

openafs (1.6.1-2ubuntu2) quantal; urgency=low

  * Really fix for kernel 3.5. (LP: #1015925)

 -- Luke Yelavich <themuso@ubuntu.com>  Thu, 13 Sep 2012 09:45:52 +1000

openafs (1.6.1-2ubuntu1) quantal; urgency=low

  * Apply upstream deltas for Linux 3.5 (Closes: #685973)
    (LP: #1015925):
    - [2b33384] Linux 3.4: replace end_writeback with clear_inode
    - [5227148] Linux 3.5: encode_fh API change

 -- Anders Kaseorg <andersk@mit.edu>  Tue, 11 Sep 2012 19:01:20 -0400

openafs (1.6.1-2) unstable; urgency=low

  * Translation updates:
    - Fix German translation encoding.  Thanks, Christian PERRIER.
      (Closes: #678736)
    - Italian, thanks Beatrice Torracca.  (Closes: #671640)

 -- Russ Allbery <rra@debian.org>  Tue, 21 Aug 2012 17:11:58 -0700

openafs (1.6.1-1) unstable; urgency=low

  * New upstream release.
    - Do not ignore all InlineBulkStatus errors in file server.
    - Support for Linux 3.3 and 3.4.
    - Fix incorrect kernel error handling in afs_notify_change.
    - Fix locking around RXS_PreparePacket.

 -- Russ Allbery <rra@debian.org>  Wed, 28 Mar 2012 17:25:05 -0700

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: openafs
 Section: net
 Priority: optional
-Maintainer: Russ Allbery <rra@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Russ Allbery <rra@debian.org>
 Uploaders: Sam Hartman <hartmans@debian.org>
 Build-Depends: debhelper (>= 9), autoconf, automake, bison, comerr-dev,
  cpio, dblatex, dkms (>= 2.1.1.1), docbook-xsl, doxygen, flex,

## openafs 1.6.2~pre2

=== debian/changelog ===
openafs (1.6.2~pre2-2) experimental; urgency=low

  * Restore include of <sys/param.h> in userspace builds of rx/rx_packet.h
    to get a definition of MIN and MAX on, at least, powerpc.  Thanks,
    Andrew Deason.

 -- Russ Allbery <rra@debian.org>  Thu, 03 Jan 2013 12:06:41 -0800

openafs (1.6.2~pre2-1) experimental; urgency=low

  * New upstream prerelease.
    - Support Linux kernels up to 3.7.  (Closes: #685973)
    - Fix fileservers to properly report >2 TiB partitions.
    - Fix stale volume info from vos examine on non-DAFS filservers.
    - Fix possible volume corruption with vos convertROtoRW.
    - Fix bosserver to preserve all command-line options over restart.
    - Fix bosserver to properly kill hung processes during shutdown.
    - Fixes for memcache, especially on Solaris.
    - Increase the size of the DNS resolver answer buffer to allow sites
      with a long response list to use SRV and AFSDB records.
    - Fix possible abuse of fs mkmount.  In previous versions, users could
      crash a client by nesting volume mounts.
    - Fix client page cache corruption on Linux.  When multiple clients
      read and write to a file, the reading client may see first couple
      bytes of a file as nulls.
    - Support newer glibc versions.
  * Build-Depend on hardening-wrapper and enable it to work around the
    current upstream munging of CFLAGS and LDFLAGS.  (Closes: #659663)
  * Fix server installation instructions in README.servers, which used the
    early demand-attach syntax before separate demand-attach binaries were
    built.  Thanks, Björn Torkelsson.  (Closes: #693311)
  * Remove the symlink from the openafs-fileserver doc directory to the
    openafs-client doc directory.  We used to install this symlink and
    share doc directories, but this stopped in 1.4.12+dfsg-1.  However,
    dpkg doesn't remove symlinks to a directory, so systems that had
    upgraded from the older package were overwriting openafs-client doc
    files with the openafs-fileserver versions.  Thanks, Andreas
    Beckmann.  (Closes: #694063)
  * Switch to xz compression for the upstream tarball, Debian tarball, and
    binary packages.
  * Remove debian/import-upstream and change README.source to document
    using git-import-orig with --upstream-vcs-tag instead.
  * Move single-debian-patch to local-options and patch-header to
    local-patch-header so that they only apply to the packages I build and
    NMUs get regular version-numbered patches.
  * Update Vcs-* URLs for the new anonscm.debian.org URL layout.
  * Update standards version to 3.9.4 (no changes required).
  
 -- Russ Allbery <rra@debian.org>  Thu, 03 Jan 2013 10:07:39 -0800

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,9 @@
 #!/usr/bin/make -f
+
+# Enable hardening flags in hardening-wrapper.  This is a temporary
+# workaround until upstream supports using user-provided CFLAGS, CPPFLAGS,
+# and LDFLAGS.
+export DEB_BUILD_HARDENING = 1
 
 # Tell Autoconf the correct system types.
 DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
@@ -84,7 +89,7 @@
 	rm -r openafs_$(DEBVERS).orig/src/WINNT
 	tar cf openafs_$(DEBVERS).orig.tar openafs_$(DEBVERS).orig
 	rm -r openafs_$(DEBVERS).orig
-	gzip -9 openafs_$(DEBVERS).orig.tar
+	xz openafs_$(DEBVERS).orig.tar
 
 # Use dh for most actions, with overrides below.
 %:
@@ -176,6 +181,3 @@
 	cp .version debian/$(srcpkg)/usr/src/modules/$(package)/
 	mkdir -p debian/$(srcpkg)/usr/src/modules/$(package)/debian
 	cp debian/copyright debian/module/* \
-	    debian/$(srcpkg)/usr/src/modules/$(package)/debian/
-	sed 's/^openafs /openafs-modules /' debian/changelog \
-	    > debian/$(srcpkg)/usr/src/modules/$(package)/debian/changelog
